Skip to main content
GET
/
v1
/
bot
/
workflow
/
readall
List Workflows
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/workflow/readall \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "workflows": [
    {
      "uuid": "<string>",
      "name": "<string>",
      "description": "<string>",
      "trigger_type": "<string>",
      "trigger_event": "<string>",
      "trigger_config": {},
      "conditions": [
        {}
      ],
      "actions": [
        {}
      ],
      "is_active": true,
      "status": "<string>"
    }
  ],
  "limits": {},
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 100

Response

Success

total
integer
workflows
object[]
limits
object
pagination
object